import request from '@/utils/request'

// 按设备类型获取站点
export function getDisplaySitet(params) {
    return request({
        url: '/survey/surveysite/displaySite',
        method: 'get',
        params
    })
}

// 按分区获取站点
export function getPartitionDisplaySite(params) {
    return request({
        url: '/survey/surveysite/partitionDisplaySite',
        method: 'get',
        params
    })
}

// 获取分区
export function getPartition(params) {
    return request({
        url: '/survey/partition/page',
        method: 'get',
        params
    })
}

// 获取站点实时监测数据
export function getPGBSiteData(params) {
    return request({
        url: '/survey/devicecheckdata/PGBSiteData',
        method: 'get',
        params
    })
}

// 获取站点
export function getSites(params) {
    return request({
        url: '/survey/surveysite/page',
        method: 'get',
        params
    })
}

// 获取最新监测数据
export function getSiteNewData(params) {
    return request({
        url: '/survey/devicecheckdata/siteNewData',
        method: 'get',
        params
    })
}

// 获取监测曲线数据
export function getHistoryCurve(params) {
    return request({
        url: '/survey/devicecheckdata/curve',
        method: 'get',
        params
    })
}

// 获取站点监测数据台账分页
export function getDevicecheckdataList(params) {
    return request({
        url: '/survey/devicecheckdata/list',
        method: 'get',
        params
    })
}

// 获取站点监测数据作废
export function checkdataToVoid(params) {
    return request({
        url: '/survey/devicecheckdata/toVoid',
        method: 'get',
        params
    })
}

// 获取设备类型
export function getDevicetypep(params) {
    return request({
        url: '/survey/devicetypep/page',
        method: 'get',
        params
    })
}